Subject: Re: Sob! (Adaptec 2940 driver problem)

From: [email-masked] (Bruce Perens)
Date: Sun, 11 Aug 96 20:53 PDT

From: [email-masked] (Tim 'The Unslept' Sailer)

> I believe I *hate* Adaptek 2940 controllers.... :( The old system
> had a 1542b... everything worked fine. I recompiled the 2.0.11 to
> include the aic7xxx drivers and the PCI support, swapped everything 
> over, watched as the system booted, and watched the errors scroll
> across the screen... :( I'm getting alternating (abort_reset) and
> Warning-No command for SCB0 messages. I've never gotten the system
> to get past trying to mount the partitions.

The Adaptec experts are at [email-masked] - they also maintain
the Linux driver (which is a port of the FreeBSD driver).

Try removing any other SCSI device drivers from the system. Some of them
touch the Adaptec. That's a long shot, since you have a custom kernel.
This really is a problem on the generic kernel.

My AIC-7850 (on the motherboard) is working using that driver and 2.0.6 .

	Bruce